Skip to main content
`Ctrl`+`K`

# MatDenseRestoreColumnVecWrite

Returns access to a column of a dense matrix obtained from `MatDenseGetColumnVecWrite()`.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatDenseRestoreColumnVecWrite(Mat A, PetscInt col, Vec *v)

Collective

## Input Parameters

- A - the `Mat` object

- col - the column index

- v - the `Vec` object (may be `NULL`)

## See Also

Matrices, `Mat`, `MATDENSE`, `MATDENSECUDA`, `MATDENSEHIP`, `MatDenseGetColumnVec()`, `MatDenseGetColumnVecRead()`, `MatDenseGetColumnVecWrite()`, `MatDenseRestoreColumnVec()`, `MatDenseRestoreColumnVecRead()`

## Level

intermediate

## Location

src/mat/impls/dense/seq/dense.c

## Implementations

MatDenseRestoreColumnVecWrite_MPIDense() in src/mat/impls/dense/mpi/mpidense.c
MatDenseRestoreColumnVecWrite_SeqDense() in src/mat/impls/dense/seq/dense.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages